# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLParagraphElement Class Reference

Paragraphs. More...

`#include <html_block.h>`

Inheritance diagram for DOM::HTMLParagraphElement:

[legend]
Collaboration diagram for DOM::HTMLParagraphElement:

[legend]
List of all members.

## Public Member Functions

| HTMLParagraphElement (const HTMLParagraphElement &other)
| HTMLParagraphElement (const Node &other)
HTMLParagraphElement & | operator= (const HTMLParagraphElement &other)
HTMLParagraphElement & | operator= (const Node &other)
DOMString | align () const
void | setAlign (const DOMString &)

## Protected Member Functions

| HTMLParagraphElement (HTMLElementImpl *impl)

## Detailed Description

Paragraphs.

See the P element definition in HTML 4.0.

Definition at line 258 of file html_block.h.

## Member Function Documentation

DOMString HTMLParagraphElement::align | ( |  | ) | const

| Horizontal text alignment. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 291 of file html_block.cpp.

void HTMLParagraphElement::setAlign | ( | const DOMString & |  | ) |

| see align Definition at line 297 of file html_block.cpp.

The documentation for this class was generated from the following files:

- html_block.h
- html_block.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:00 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003